classification
Title: Mention SO_REUSEADDR near socket doc examples
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eli.bendersky, ezio.melotti, georg.brandl, merwok, python-dev, sandro.tosi
Priority: normal Keywords: patch

Created on 2011-08-18 21:46 by sandro.tosi, last changed 2011-09-04 06:56 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
socket_resueaddr.patch sandro.tosi, 2011-08-18 21:46 review
Messages (6)
msg142403 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-08-18 21:46
Following up http://mail.python.org/pipermail/docs/2011-April/004025.html here's a patch to add a notice about SO_REUSEADDR after the examples, so even re-running several times and getting that error, wont scare anyone.
msg142414 - (view) Author: Eli Bendersky (eli.bendersky) * (Python committer) Date: 2011-08-19 03:37
Wouldn't it be better to just add the flag to the example and then explain it in a few sentences?
msg142478 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-08-19 17:03
Sure it could be a solution, but I didn't go that way since it *may* complicate the example (which I see a something to get quick ready to test some code, there's always time for improvements later). I'm fine either way.
msg142613 - (view) Author: Éric Araujo (merwok) * (Python committer) Date: 2011-08-21 12:03
+1 to Sandro’s patch.  Documenting all SO_* constants should be another bug; right now, there is only an index entry for “SO_*”, I suppose for the benefit of C programmers wanting to know where the constants are defined.  I think the reason for not documenting all constants is that people should look them up in a C/kernel reference manual.
msg143427 - (view) Author: Roundup Robot (python-dev) Date: 2011-09-02 18:09
New changeset fe60689d6a2e by Sandro Tosi in branch '2.7':
#12781: Mention SO_REUSEADDR flag near socket examples
http://hg.python.org/cpython/rev/fe60689d6a2e

New changeset c4588cd2d59a by Sandro Tosi in branch '3.2':
#12781: Mention SO_REUSEADDR flag near socket examples
http://hg.python.org/cpython/rev/c4588cd2d59a

New changeset eb9a9a043f13 by Sandro Tosi in branch 'default':
#12781: merge with 3.2
http://hg.python.org/cpython/rev/eb9a9a043f13
msg143484 - (view) Author: Roundup Robot (python-dev) Date: 2011-09-04 06:56
New changeset 126069a5ecf6 by Sandro Tosi in branch '3.2':
#12781: Mention SO_REUSEADDR flag near socket examples
http://hg.python.org/cpython/rev/126069a5ecf6
History
Date User Action Args
2011-09-04 06:56:35python-devsetmessages: + msg143484
2011-09-02 18:10:41sandro.tosisetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2011-09-02 18:09:54python-devsetnosy: + python-dev
messages: + msg143427
2011-08-21 12:03:34merwoksetnosy: + merwok, georg.brandl
messages: + msg142613
2011-08-19 17:03:57sandro.tosisetmessages: + msg142478
2011-08-19 03:37:18eli.benderskysetnosy: + eli.bendersky
messages: + msg142414
2011-08-18 21:46:28sandro.tosicreate